aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListGroupPolicies

Synopsis

- data ListGroupPolicies = ListGroupPolicies {
  - lgpGroupName :: Text
  - lgpMarker :: Maybe Text
  - lgpMaxItems :: Maybe Integer
  }
- data ListGroupPoliciesResponse = ListGroupPoliciesResponse {
  - lgprPolicyNames :: [Text]
  - lgprIsTruncated :: Bool
  - lgprMarker :: Maybe Text
  }

# Documentation

data ListGroupPolicies #

Lists the group policies associated with the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListGroupPolicies.html

Constructors

ListGroupPolicies |

Fields

- lgpGroupName :: Text

  Policies associated with this group will be listed.

- lgpMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lgpMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListGroupPolicies # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ServiceConfiguration ListGroupPolicies |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ServiceConfiguration ListGroupPolicies = IamConfiguration

Methods

signQuery :: ListGroupPolicies -> ServiceConfiguration ListGroupPolicies queryType -> SignatureData -> SignedQuery #

Show ListGroupPolicies # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods showsPrec :: Int -> ListGroupPolicies -> ShowS # show :: ListGroupPolicies -> String # showList :: [ListGroupPolicies] -> ShowS #
Eq ListGroupPolicies # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods (==) :: ListGroupPolicies -> ListGroupPolicies -> Bool # (/=) :: ListGroupPolicies -> ListGroupPolicies -> Bool #
Ord ListGroupPolicies # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Methods

compare :: ListGroupPolicies -> ListGroupPolicies -> Ordering #

(<) :: ListGroupPolicies -> ListGroupPolicies -> Bool #

(<=) :: ListGroupPolicies -> ListGroupPolicies -> Bool #

(>) :: ListGroupPolicies -> ListGroupPolicies -> Bool #

(>=) :: ListGroupPolicies -> ListGroupPolicies -> Bool #

max :: ListGroupPolicies -> ListGroupPolicies -> ListGroupPolicies #

min :: ListGroupPolicies -> ListGroupPolicies -> ListGroupPolicies #

IteratedTransaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods nextIteratedRequest :: ListGroupPolicies -> ListGroupPoliciesResponse -> Maybe ListGroupPolicies #
ResponseConsumer ListGroupPolicies ListGroupPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ResponseMetadata ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroupPolicies -> IORef (ResponseMetadata ListGroupPoliciesResponse) -> HTTPResponseConsumer ListGroupPoliciesResponse #

Transaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies
type ServiceConfiguration ListGroupPolicies # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ServiceConfiguration ListGroupPolicies = IamConfiguration

data ListGroupPoliciesResponse #

Constructors

ListGroupPoliciesResponse |

Fields

- lgprPolicyNames :: [Text]

  List of policy names.

- lgprIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lgprMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListGroupPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type MemoryResponse ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type MemoryResponse ListGroupPoliciesResponse = ListGroupPoliciesResponse

Methods

loadToMemory :: ListGroupPoliciesResponse -> ResourceT IO (MemoryResponse ListGroupPoliciesResponse) #

Show ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods showsPrec :: Int -> ListGroupPoliciesResponse -> ShowS # show :: ListGroupPoliciesResponse -> String # showList :: [ListGroupPoliciesResponse] -> ShowS #
Eq ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods (==) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool # (/=) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool #
Ord ListGroupPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Methods

compare :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Ordering #

(<) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool #

(<=) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool #

(>) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool #

(>=) :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> Bool #

max :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> ListGroupPoliciesResponse #

min :: ListGroupPoliciesResponse -> ListGroupPoliciesResponse -> ListGroupPoliciesResponse #

IteratedTransaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods nextIteratedRequest :: ListGroupPolicies -> ListGroupPoliciesResponse -> Maybe ListGroupPolicies #
ResponseConsumer ListGroupPolicies ListGroupPoliciesResponse # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type ResponseMetadata ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListGroupPolicies -> IORef (ResponseMetadata ListGroupPoliciesResponse) -> HTTPResponseConsumer ListGroupPoliciesResponse #

Transaction ListGroupPolicies ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies
type MemoryResponse ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type MemoryResponse ListGroupPoliciesResponse = ListGroupPoliciesResponse
type ResponseMetadata ListGroupPoliciesResponse # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata